/*
 *  ncxmms
 *  Copyright 2003 Mariusz Gniazdowski
 *
 *  NCXmms is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  NCXmms is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#include <xmms/xmmsctrl.h>
#include <ncurses.h>

/*
 * NAME:        print_status
 * DESCRIPTION: displays xmms status in given window
 */

void print_status(WINDOW * win)
{
	if (xmms_remote_is_running(0))
		wprintw(win, "\nXmms is running..");
	else
		wprintw(win, "\nXmms is not running");

	if (xmms_remote_is_shuffle(0))
		wprintw(win, "\nShuffle: on\t");
	else
		wprintw(win, "\nShuffle: off\t");
	if (xmms_remote_is_repeat(0))
		wprintw(win, "Repeat: on");
	else
		wprintw(win, "\nRepeat: off");

	wprintw(win, "\nPlaylist length %d", xmms_remote_get_playlist_length(0));
	wprintw(win, "\nActive title: %s", xmms_remote_get_playlist_title(0, xmms_remote_get_playlist_pos(0)));

	if (xmms_remote_is_playing(0))
		wprintw(win, "\nPlaying...");
	else if (xmms_remote_is_paused(0))
		wprintw(win, "\nPaused...");
	else
		wprintw(win, "\nStopped...");

	wrefresh(win);
}
